Skip to main content
    Ivy Biosciences Docs/Call the platform/API/Reference/Reference/Sessions/GET /v1/sessions/{sessionId}/workspace

    GET /v1/sessions/{sessionId}/workspace

    Get a session's workspace — Returns the project, campaign and chat that a session you own is attached to. Any id that is not yet known is returned as null.

    Auth: required. Send an ivy_ API key (Authorization: Bearer ivy_… or X-Ivy-Api-Key), a Clerk session JWT (Authorization: Bearer …) or the Clerk __session cookie (browser sessions). See Authentication.

    Returns the project, campaign and chat that a session you own is attached to. Any id that is not yet known is returned as null.

    Request

    Path parameters

    sessionIdstring (uuid)

    Session UUID (UUIDv7 — time-ordered)

    Responses

    200 OK

    Workspace identifiers

    Response shape:

    session_idstring (uuid)
    project_idstring
    campaign_idstring
    chat_idstring

    400 Bad Request

    Invalid request

    Response shape: object

    401 Unauthorized

    Authentication required

    Response shape: object

    404 Not Found

    Resource not found

    Response shape: object

    429 Too Many Requests

    Rate limit exceeded

    Response shape: object

    curl -X GET 'https://ivybiosciences.com/api/v1/sessions/{sessionId}/workspace' \
      -H "Authorization: Bearer $IVY_API_KEY"

    Was this page helpful?

    Loading...